package cn.yw.video.videotask.model;

import cn.base.bean.BaseBean;
//[运维监控任务表]

public class YwvideotaskBean extends BaseBean implements java.io.Serializable {
	private String taskid;//[任务id]
	private String taskname;//[任务名称]
	private int tasktype;//[任务类型]
	private int tsaklevel;//[任务优先级]
	private String taskdescribe;//[任务描述]
	private int taskmodel;//[任务模式]
	private int daystarttime;//[按天开始时间]
	private int daystarttimebyhour;//[按天间隔时间(小时)]
	private int channeltotals;//[通道总数]
	private String mondayruntime;//[周一运行时间]
	private String mondayrunbyhour;//[周一运行间隔时间]
	private String tuesdayruntime;//[周二运行时间]
	private String tuesdayrunbyhour;//[周二运行间隔时间]
	private String wednesdayuntime;//[周三运行时间]
	private String wednesdayunbyhour;//[周三运行间隔时间]
	private String thursdayruntime;//[周四运行时间点]
	private String thursdayrunbyhour;//[周四运行间隔时间]
	private String fridayruntime;//[周五运行时间]
	private String fridayrunbyhour;//[周五运行间隔时间]
	private String saturdatruntime;//[周六运行时间]
	private String saturdatrunbyhour;//[周六运行间隔时间]
	private String sundayruntime;//[周天运行时间]
	private String sundayrunbyhour;//[周天运行间隔时间]
	private int mondayswitch;//[周一运行开关]
	private int tuesdayswitch;//[周二运行开关]
	private int wednesdayswitch;//[周三运行开关]
	private int thursdayswitch;//[周四运行开关点]
	private int fridayswitch;//[周五运行开关]
	private int saturdayswitch;//[周六运行开关]
	private int sundayswitch;//[周天运行开关]
	private int detectionswitch;//[检测开关]
	private String detectionstarttime;//[检测开始时间]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setTaskid(String taskid){
		this.taskid = taskid;
	}
	public String getTaskid(){
		return taskid;
	}
	public void setTaskname(String taskname){
		this.taskname = taskname;
	}
	public String getTaskname(){
		return taskname;
	}
	public void setTasktype(int tasktype){
		this.tasktype = tasktype;
	}
	public int getTasktype(){
		return tasktype;
	}
	public void setTsaklevel(int tsaklevel){
		this.tsaklevel = tsaklevel;
	}
	public int getTsaklevel(){
		return tsaklevel;
	}
	public void setTaskdescribe(String taskdescribe){
		this.taskdescribe = taskdescribe;
	}
	public String getTaskdescribe(){
		return taskdescribe;
	}
	public void setTaskmodel(int taskmodel){
		this.taskmodel = taskmodel;
	}
	public int getTaskmodel(){
		return taskmodel;
	}
	public void setDaystarttime(int daystarttime){
		this.daystarttime = daystarttime;
	}
	public int getDaystarttime(){
		return daystarttime;
	}
	public void setDaystarttimebyhour(int daystarttimebyhour){
		this.daystarttimebyhour = daystarttimebyhour;
	}
	public int getDaystarttimebyhour(){
		return daystarttimebyhour;
	}
	public void setChanneltotals(int channeltotals){
		this.channeltotals = channeltotals;
	}
	public int getChanneltotals(){
		return channeltotals;
	}
	public void setMondayruntime(String mondayruntime){
		this.mondayruntime = mondayruntime;
	}
	public String getMondayruntime(){
		return mondayruntime;
	}
	public void setMondayrunbyhour(String mondayrunbyhour){
		this.mondayrunbyhour = mondayrunbyhour;
	}
	public String getMondayrunbyhour(){
		return mondayrunbyhour;
	}
	public void setTuesdayruntime(String tuesdayruntime){
		this.tuesdayruntime = tuesdayruntime;
	}
	public String getTuesdayruntime(){
		return tuesdayruntime;
	}
	public void setTuesdayrunbyhour(String tuesdayrunbyhour){
		this.tuesdayrunbyhour = tuesdayrunbyhour;
	}
	public String getTuesdayrunbyhour(){
		return tuesdayrunbyhour;
	}
	public void setWednesdayuntime(String wednesdayuntime){
		this.wednesdayuntime = wednesdayuntime;
	}
	public String getWednesdayuntime(){
		return wednesdayuntime;
	}
	public void setWednesdayunbyhour(String wednesdayunbyhour){
		this.wednesdayunbyhour = wednesdayunbyhour;
	}
	public String getWednesdayunbyhour(){
		return wednesdayunbyhour;
	}
	public void setThursdayruntime(String thursdayruntime){
		this.thursdayruntime = thursdayruntime;
	}
	public String getThursdayruntime(){
		return thursdayruntime;
	}
	public void setThursdayrunbyhour(String thursdayrunbyhour){
		this.thursdayrunbyhour = thursdayrunbyhour;
	}
	public String getThursdayrunbyhour(){
		return thursdayrunbyhour;
	}
	public void setFridayruntime(String fridayruntime){
		this.fridayruntime = fridayruntime;
	}
	public String getFridayruntime(){
		return fridayruntime;
	}
	public void setFridayrunbyhour(String fridayrunbyhour){
		this.fridayrunbyhour = fridayrunbyhour;
	}
	public String getFridayrunbyhour(){
		return fridayrunbyhour;
	}
	public void setSaturdatruntime(String saturdatruntime){
		this.saturdatruntime = saturdatruntime;
	}
	public String getSaturdatruntime(){
		return saturdatruntime;
	}
	public void setSaturdatrunbyhour(String saturdatrunbyhour){
		this.saturdatrunbyhour = saturdatrunbyhour;
	}
	public String getSaturdatrunbyhour(){
		return saturdatrunbyhour;
	}
	public void setSundayruntime(String sundayruntime){
		this.sundayruntime = sundayruntime;
	}
	public String getSundayruntime(){
		return sundayruntime;
	}
	public void setSundayrunbyhour(String sundayrunbyhour){
		this.sundayrunbyhour = sundayrunbyhour;
	}
	public String getSundayrunbyhour(){
		return sundayrunbyhour;
	}
	public void setMondayswitch(int mondayswitch){
		this.mondayswitch = mondayswitch;
	}
	public int getMondayswitch(){
		return mondayswitch;
	}
	public void setTuesdayswitch(int tuesdayswitch){
		this.tuesdayswitch = tuesdayswitch;
	}
	public int getTuesdayswitch(){
		return tuesdayswitch;
	}
	public void setWednesdayswitch(int wednesdayswitch){
		this.wednesdayswitch = wednesdayswitch;
	}
	public int getWednesdayswitch(){
		return wednesdayswitch;
	}
	public void setThursdayswitch(int thursdayswitch){
		this.thursdayswitch = thursdayswitch;
	}
	public int getThursdayswitch(){
		return thursdayswitch;
	}
	public void setFridayswitch(int fridayswitch){
		this.fridayswitch = fridayswitch;
	}
	public int getFridayswitch(){
		return fridayswitch;
	}
	public void setSaturdayswitch(int saturdayswitch){
		this.saturdayswitch = saturdayswitch;
	}
	public int getSaturdayswitch(){
		return saturdayswitch;
	}
	public void setSundayswitch(int sundayswitch){
		this.sundayswitch = sundayswitch;
	}
	public int getSundayswitch(){
		return sundayswitch;
	}
	public void setDetectionswitch(int detectionswitch){
		this.detectionswitch = detectionswitch;
	}
	public int getDetectionswitch(){
		return detectionswitch;
	}
	public void setDetectionstarttime(String detectionstarttime){
		this.detectionstarttime = detectionstarttime;
	}
	public String getDetectionstarttime(){
		return detectionstarttime;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}